Skip to main content
POST
/
dca
/
collectors
/
{collector_id}
/
refactor_template
Trigger Self-Healing
curl --request POST \
  --url https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Fix selector issues",
  "custom_input": [
    {}
  ]
}
'
import requests

url = "https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template"

payload = {
"prompt": "Fix selector issues",
"custom_input": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'Fix selector issues', custom_input: [{}]})
};

fetch('https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

collector_id
string
required

Collector ID returned by the Create Scraper Template API endpoint.

Body

application/json
prompt
string
required

Maximum string length: 1000

Example:

"Fix selector issues"

custom_input
object[]

Response

200

Self-healing triggered